Subject: Re: [PATCH 3/3] git-cvsexportcommit.perl: git-apply no longer needs --binary

From: Robin Rosenberg <[email-masked]>
Date: Sat, 20 Oct 2007 15:59:52 +0200

onsdag 17 oktober 2007 skrev Michael Witten:
> 
> On 16 Oct 2007, at 9:11:48 PM, Shawn O. Pearce wrote:
> 
> > Sorry, but I have to say I agree with Robin here.  The tab patch
> > is large, ugly, and provides relatively little value in comparsion.
> >
> > The first rule of git development typically is "any change is bad".
> > Because anything that is already written can be assumed to already
> > be tested and in use by someone.  Breaking that is bad, as then
> > they have a bad experience with git.
> 
> OK. I understand.
> 
> This was really preparation for a more substantial addition
> that I hope to make.

That might warrant fixing the tabs, *then*. It is nice to know that this 
debate did not scare you awya from submitting patches. 

> I'll just have to change one line at a time with every substantial
> patch!

Exactly :)
I wrote some more in a commet on the On tabs and spaces thread.

-- robin